Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1342747 - Review Request: limnoria - A modified version of Supybot (an IRC bot) with enhancements and bug fixes
Summary: Review Request: limnoria - A modified version of Supybot (an IRC bot) with en...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-04 17:18 UTC by Kevin Fenzi
Modified: 2016-06-18 18:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-18 04:25:05 UTC
Type: ---
puiterwijk: fedora-review+


Attachments (Terms of Use)

Description Kevin Fenzi 2016-06-04 17:18:32 UTC
Spec URL: http://www.scrye.com/~kevin/fedora/review/Limnoria/Limnoria.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/review/Limnoria/Limnoria-20160506-1.fc25.src.rpm
Description:
Supybot is a robust (it doesn't crash), user friendly
(it's easy to configure) and programmer friendly
(plugins are extremely easy to write) Python IRC bot.
It aims to be an adequate replacement for most existing IRC bots.
It includes a very flexible and powerful ACL system for controlling
access to commands, as well as more than 50 builtin plugins
providing around 400 actual commands.

Limnoria is a project which continues development of Supybot
(you can call it a fork) by fixing bugs and adding features
(see the list of added features for more details).

Fedora Account System Username: kevin

rpmlint says:

Limnoria.noarch: W: spelling-error %description -l en_US Supybot -> Subplot
Limnoria.src: W: spelling-error %description -l en_US Supybot -> Subplot
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

scratch build: 

https://koji.fedoraproject.org/koji/taskinfo?taskID=14383371

Note that this package is python3 ready itself, but many of the plugins we have in Fedora currently are not. As we get them ported over we can change this package to build against python3.

Comment 1 Patrick Uiterwijk 2016-06-04 19:55:24 UTC
I will do this review.

Comment 2 Patrick Uiterwijk 2016-06-04 20:28:41 UTC
To fix:
- Licensing is both MIT/BSD and GPLv2 and GPLv2+, latter two are missing in spec file and in %license.
- Missing Requires for all python libraries needed
- %install runs rm -rf $RPM_BUILD_ROOT



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     FAIL: Contains both BSD/MIT and GPLv2 and GPLv2+
[x]: Package does not own files or directories owned by other packages.
     Note: Owns a lot of directories supybot-gribble does, but it replaces that.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[!]: Package is named according to the Package Naming Guidelines.
     Note: guidelines: "Package names should be in lower case ..."
     Is there a specific reason not to follow this?
[x]: Package does not generate any conflict.
     Conflicts with supybot-gribble, but it replaces that
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
     FAIL: Missing install-time dependencies on all python libraries needed.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
     FAIL: Missing GPLv2 and GPLv2+ licenses
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     FAIL: has rm -rf $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
     FAIL: Missing requires on all python libraries.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
     NOTE: %check is marked as TODO
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: Limnoria-20160506-1.fc23.noarch.rpm
          Limnoria-20160506-1.fc23.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
Limnoria (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)



Provides
--------
Limnoria:
    Limnoria
    limnoria
    supybot-gribble



Source checksums
----------------
https://github.com/ProgVal/Limnoria/archive/master-2016-05-06.tar.gz :
  CHECKSUM(SHA256) this package     : 694e2d5e2acbd513e03cf3ea8faa675713f38a6169906d3abb4126c95aa247e1
  CHECKSUM(SHA256) upstream package : 694e2d5e2acbd513e03cf3ea8faa675713f38a6169906d3abb4126c95aa247e1


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1342747
Buildroot used: fedora-23-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Kevin Fenzi 2016-06-07 21:53:18 UTC
> - Licensing is both MIT/BSD and GPLv2 and GPLv2+, latter two are missing in spec file and in %license.

Fixed and added more info in comment: 

License:        BSD and GPLv2 and GPLv2+
#
# The bulk of the package is BSD. 
# Parts of the Math plugin are GPLv2+
# The Dict plugin is GPLv2+
#

> - Missing Requires for all python libraries needed

Added. 

> - %install runs rm -rf $RPM_BUILD_ROOT

Removed.

> [!]: Package is named according to the Package Naming Guidelines.
     Note: guidelines: "Package names should be in lower case ..."
     Is there a specific reason not to follow this?

Upstream is using a cap L, and I provided a lowercase provide, but I am happy to switch it to the other way. It seems debian also uses lowercase, so would be good to follow them. 

New spec/SRPM:

Spec URL: http://www.scrye.com/~kevin/fedora/review/Limnoria/limnoria.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/review/Limnoria/limnoria-20160506-2.fc25.src.rpm

Comment 4 Patrick Uiterwijk 2016-06-07 21:57:25 UTC
Package is APPROVED.

Comment 5 Kevin Fenzi 2016-06-07 22:28:18 UTC
Thanks!

New package requested.

Comment 6 Gwyn Ciesla 2016-06-07 22:57:19 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/limnoria

Comment 7 Fedora Update System 2016-06-07 23:57:02 UTC
limnoria-20160506-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c23d543bc9

Comment 8 Fedora Update System 2016-06-07 23:57:28 UTC
limnoria-20160506-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-80d3861400

Comment 9 Fedora Update System 2016-06-08 17:55:24 UTC
limnoria-20160506-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c23d543bc9

Comment 10 Fedora Update System 2016-06-09 04:51:24 UTC
limnoria-20160506-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-80d3861400

Comment 11 Fedora Update System 2016-06-18 04:25:03 UTC
limnoria-20160506-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-06-18 18:38:13 UTC
limnoria-20160506-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.